% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i RSN Link HR
% ACCdefRSNHR contiene le medie per l'intervallo definito delle accelerazioni
% ARRAYdateRSNHR contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [angRSNHR,ARRAYdateRSNHR,TempDef_RSNHR] = MediaDati_RSNHR(angRSNHR,...
      TimeRSNHR,T_RSNHR,NdatiMedia,FileName)

text = 'MediaDati_RSNHR function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

%% Angoli
[r,~] = size(angRSNHR);
if NdatiMedia > r
    NdatiMedia = r;
end
% NON si fa la media dell'ultimo dato
angRSNHR_M = smoothdata(angRSNHR(1:end-1,:),'gaussian',NdatiMedia); 
angRSNHR = [angRSNHR_M; angRSNHR(end,:)];

ARRAYdateRSNHR = TimeRSNHR;

%% Temperature
TempDef_RSNHR = T_RSNHR; % Non faccio la media, mi serve il dato come è per applicare i filtri

text = 'Average mean of RSN Link HR data executed correctly';
fprintf(fileID,fmt,text);
fclose(fileID);

end